uses ide;
var
b:byte;
p:array[0..255] of word;
f:file;

begin
Nacti_ide_atapi_konfiguraci;
{nebudeme zkoumat PCI BIOS, pristupu na porty se nebojime}

b:=ide_dev(ideprim,idemaster);
writeln('pri/mas: ',IDE_ATAPI[b].Vrat_Oznaceni_Modelu);
writeln('LBA48? : ',IDE_ATAPI[b].IS_LBA48);
writeln('SMART? : ',IDE_ATAPI[b].IS_SMART);
writeln('Sektoru? : ',IDE_ATAPI[b].Pocet_Sektoru:8:0);
writeln('Bajtu_na_sektor? : ',IDE_ATAPI[b].Bajtu_na_sektor);

writeln('medium?: ',IDE_ATAPI[b].Vrat_Seriove_Cislo_Media);



assign(f,'test.fm');
rewrite(f,1);
if IDE_ATAPI[1].dev_info<>nil then blockwrite(f,IDE_ATAPI[1].dev_info^,512);
close(f);

assign(f,'test.fs');
rewrite(f,1);
if IDE_ATAPI[2].dev_info<>nil then blockwrite(f,IDE_ATAPI[2].dev_info^,512);
close(f);

assign(f,'test.7m');
rewrite(f,1);
if IDE_ATAPI[3].dev_info<>nil then blockwrite(f,IDE_ATAPI[3].dev_info^,512);
close(f);

assign(f,'test.7s');
rewrite(f,1);
if IDE_ATAPI[4].dev_info<>nil then blockwrite(f,IDE_ATAPI[4].dev_info^,512);
close(f);


end.
